Skip to main content
POST
/
sensor-data
/
gnss
Fetch GNSS sensor data
curl --request POST \
  --url https://api.beta.ontoto.com/sensor-data/gnss \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "deviceSerialNumbers": [
    "<string>"
  ],
  "legacyDeviceIds": [
    0
  ],
  "startDate": "2024-01-01T00:00:00.000Z",
  "endDate": "2024-01-31T23:59:59.000Z",
  "orderBy": "asc"
}
'
{
  "items": [
    {
      "deviceSerialNumber": "<string>",
      "deviceAlias": "<string>",
      "legacyDeviceId": 0,
      "sensorUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "sensorAlias": "<string>",
      "channelIndex": 123,
      "sensorStatus": "ok",
      "srid": 123,
      "projectionMetadata": [
        {
          "id": 123,
          "label": "<string>",
          "verticalDatum": "<string>",
          "heightType": "ellipsoidal",
          "projectionType": "<string>",
          "srid": 123
        }
      ],
      "data": [
        {
          "id": 123,
          "timestamp": "2023-11-07T05:31:56Z",
          "lat": 123,
          "lon": 123,
          "eh": 123,
          "oh": 123,
          "quality": {
            "sdn": 123,
            "sde": 123,
            "sdu": 123,
            "q": 123,
            "ns": 123,
            "ar": 123
          },
          "roll": 123,
          "pitch": 123,
          "dE": 123,
          "dN": 123,
          "dU": 123,
          "d2d": 123,
          "d3d": 123,
          "vE": 123,
          "vN": 123,
          "vU": 123,
          "proj": {},
          "debug": {
            "ps": "completed",
            "gw": 123,
            "gd": 123,
            "gt": 123,
            "err": "<string>",
            "at": "2023-11-07T05:31:56Z",
            "log": "<string>"
          }
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.beta.ontoto.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Body

application/json

Request body for querying GNSS sensor data, keyed by device

deviceSerialNumbers
string[]

Array of device serial numbers

legacyDeviceIds
integer[]

Array of legacy device IDs

Required range: -9007199254740991 <= x <= 9007199254740991
startDate
string<date-time>

Start date in ISO 8601 format

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
Example:

"2024-01-01T00:00:00.000Z"

endDate
string<date-time>

End date in ISO 8601 format

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
Example:

"2024-01-31T23:59:59.000Z"

orderBy
enum<string>
default:asc

Ordering of data by timestamp

Available options:
asc,
desc
Example:

"asc"

Response

Successful response

Response body for querying GNSS sensor data

items
object[]
required